Subject: bug#58193: 29.0.50; Screen flickers on with-locale-environment

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 30 Sep 2022 19:34:17 +0200

Eli Zaretskii <[email-masked]> writes:

> I'd rather leave the decision whether to redraw or not to the caller.
> I don't see how we can safely assume that the caller never wants to
> actually use the locale's settings for something display-oriented.

That's what this does.  If the caller wants to redraw, the caller should
call `redraw-frame' in the body of that macro.